WIDTH = 800
HEIGHT = 600
TITLE = 'Encaged Tower'

FPS = 40
INV_FPS = 1.0/FPS

CAGE_THRESHOLD = 10
EARTHQUAKE_SPEED = 50
FLOOR_LINE = 350
FLOOR_HEIGHT = 100
WALL_THICKNESS = 5
CRANE_ARM_WIDTH = 22

NUM_FLOORS = 70

LIVES = 10

# combo levels not accumulated: [0, 2, 4, 6, 8]
COMBO_LEVELS = [0, 2, 6, 12, 20] # accumulated

NUM_WORLDS = 4
NUM_LEVELS_PER_WORLD = 4

UNLOCK = [[0, 1, 4, 6],
          [1, 3, 8, 12],
          [2, 6, 16, 24],
          [4, 12, 24, 32]]

TARGET_NAMES = ['target-phone', 'target-desk', 'target-desk2', 'target-copier']
TARGET_TOTAL_FRAMES = [4, 3, 3, 4]
TARGET_DIV_FRAME = [2, 2, 2, 2]
TARGET_RATE_NORMAL = [0.2, 0.4, 0.4, 0.3]
TARGET_RATE_LAZY = [0.2, 0.4, 0.4, 0.3]

PATTERNS = []
for i in xrange(4):
    PATTERNS += [[i] * 14]
for i in xrange(4):
    for j in xrange(4):
        PATTERNS += [[i, j] * 7]
for i in xrange(4):
    for j in xrange(4):
        for k in xrange(4):
            PATTERNS += [[i, j, k] * 5]
